Cantera 2.6.0

Public Member Functions | List of all members
CustomFunc1Reaction Class Reference

A reaction which follows mass-action kinetics with a custom reaction rate defined in Python. More...

`#include <Reaction.h>`

Inheritance diagram for CustomFunc1Reaction:
[legend]
Collaboration diagram for CustomFunc1Reaction:
[legend]

## Public Member Functions
| CustomFunc1Reaction (const Composition &reactants, const Composition &products, const CustomFunc1Rate &rate)
| CustomFunc1Reaction (const AnyMap &node, const Kinetics &kin)
virtual std::string | type () const
| The type of reaction. More...
Public Member Functions inherited from Reaction
| Reaction (const Composition &reactants, const Composition &products, shared_ptr< ReactionRate > rate={})
| Reaction (const AnyMap &node, const Kinetics &kin)
| Construct a Reaction and it's corresponding ReactionRate based on AnyMap (YAML) input. More...
| Reaction (int type)
| Reaction (int type, const Composition &reactants, const Composition &products)
virtual std::string | reactantString () const
| The reactant side of the chemical equation for this reaction. More...
virtual std::string | productString () const
| The product side of the chemical equation for this reaction. More...
std::string | equation () const
| The chemical equation for this reaction. More...
virtual void | setEquation (const std::string &equation, const Kinetics *kin=0)
| Set the reactants and products based on the reaction equation. More...
virtual std::string | type () const
| The type of reaction. More...
virtual void | calculateRateCoeffUnits (const Kinetics &kin)
| Calculate the units of the rate constant. More...
UnitStack | calculateRateCoeffUnits3 (const Kinetics &kin)
| Calculate the units of the rate constant. More...
virtual void | validate ()
| Ensure that the rate constant and other parameters for this reaction are valid. More...
virtual void | validate (Kinetics &kin)
| Perform validation checks that need access to a complete Kinetics objects, for. More...
AnyMap | parameters (bool withInput=true) const
| Return the parameters such that an identical Reaction could be reconstructed using the newReaction() function. More...
virtual void | setParameters (const AnyMap &node, const Kinetics &kin)
| Set up reaction based on AnyMap node More...
bool | valid () const
| Get validity flag of reaction. More...
void | setValid (bool valid)
| Set validity flag of reaction. More...
void | checkBalance (const Kinetics &kin) const
| Check that the specified reaction is balanced (same number of atoms for each element in the reactants and products). More...
bool | checkSpecies (const Kinetics &kin) const
| Verify that all species involved in the reaction are defined in the Kinetics object. More...
bool | usesElectrochemistry (const Kinetics &kin) const
| Check whether reaction uses electrochemistry. More...
shared_ptr< ReactionRate > | rate ()
| Get reaction rate pointer. More...
void | setRate (shared_ptr< ReactionRate > rate)
| Set reaction rate pointer. More...
shared_ptr< ThirdBody > | thirdBody ()
| Get pointer to third-body. More...
bool | usesLegacy () const
| Indicate whether object uses legacy framework. More...

## Additional Inherited Members
Public Attributes inherited from Reaction
int | reaction_type
| Type of the reaction. More...
Composition | reactants
| Reactant species and stoichiometric coefficients. More...
Composition | products
| Product species and stoichiometric coefficients. More...
Composition | orders
| Forward reaction order with respect to specific species. More...
std::string | id
| An identification string for the reaction, used in some filtering operations. More...
bool | reversible
| True if the current reaction is reversible. False otherwise. More...
bool | duplicate
| True if the current reaction is marked as duplicate. More...
bool | allow_nonreactant_orders
| True if reaction orders can be specified for non-reactant species. More...
bool | allow_negative_orders
| True if negative reaction orders are allowed. Default is `false`. More...
AnyMap | input
| Input data used for specific models. More...
Units | rate_units
| The units of the rate constant. More...
Protected Member Functions inherited from Reaction
virtual void | getParameters (AnyMap &reactionNode) const
| Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function. More...
virtual std::pair< std::vector< std::string >, bool > | undeclaredThirdBodies (const Kinetics &kin) const
Protected Attributes inherited from Reaction
bool | m_valid
| Flag indicating whether reaction is set up correctly. More...
shared_ptr< ReactionRate > | m_rate
| Reaction rate used by generic reactions. More...
shared_ptr< ThirdBody > | m_third_body
| Relative efficiencies of third-body species in enhancing the reaction rate (if applicable) More...

## Detailed Description

A reaction which follows mass-action kinetics with a custom reaction rate defined in Python.

Warning
  This class is an experimental part of the Cantera API and may be changed or removed without notice.

Definition at line 529 of file Reaction.h.

## Constructor & Destructor Documentation

## ◆ CustomFunc1Reaction() [1/3]

CustomFunc1Reaction | ( |  | ) |

Definition at line 1246 of file Reaction.cpp.

## ◆ CustomFunc1Reaction() [2/3]

CustomFunc1Reaction | ( | const Composition & | reactants,
|  | const Composition & | products,
|  | const CustomFunc1Rate & | rate
| ) |  |

Definition at line 1251 of file Reaction.cpp.

## ◆ CustomFunc1Reaction() [3/3]

CustomFunc1Reaction | ( | const AnyMap & | node,
|  | const Kinetics & | kin
| ) |  |

Definition at line 1259 of file Reaction.cpp.

## Member Function Documentation

## ◆ type()

virtual std::string type | ( |  | ) | const
| inline virtual

The type of reaction.

Reimplemented from Reaction.

Definition at line 538 of file Reaction.h.

The documentation for this class was generated from the following files:

- Reaction.h
- Reaction.cpp